using System;

internal sealed class Delegate645 : MulticastDelegate
{
	public extern bool Invoke(DateTime dateTime_0, DateTime dateTime_1);

	public static bool smethod_0(DateTime dateTime_0, DateTime dateTime_1, Delegate645 delegate645_1)
	{
		return delegate645_1(dateTime_0, dateTime_1);
	}

	public extern Delegate645(object object_0, IntPtr intptr_0);

	static Delegate645()
	{
		Class10.smethod_13(typeof(Delegate645).TypeHandle);
	}

	internal static Delegate645 delegate645_0;
}
